Package org.drinkless.tdlib

# Class TdApi.LoginUrlInfoRequestConfirmation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LoginUrlInfo
org.drinkless.tdlib.TdApi.LoginUrlInfoRequestConfirmation

Enclosing class:
  `TdApi`

public static class TdApi.LoginUrlInfoRequestConfirmation extends TdApi.LoginUrlInfo
An authorization confirmation dialog needs to be shown to the user.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LoginUrlInfo

  `TdApi.LoginUrlInfo.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of a bot linked with the website.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `domain`
  A domain of the URL.
  `boolean`
  `requestWriteAccess`
  True, if the user must be asked for the permission to the bot to send them messages.
  `String`
  `url`
  An HTTP URL to be opened.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginUrlInfoRequestConfirmation()`
  An authorization confirmation dialog needs to be shown to the user.
  `LoginUrlInfoRequestConfirmation(String url, String domain, long botUserId, boolean requestWriteAccess)`
  An authorization confirmation dialog needs to be shown to the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    An HTTP URL to be opened.

  - ### domain

    public String domain
    A domain of the URL.

  - ### botUserId

    public long botUserId
    User identifier of a bot linked with the website.

  - ### requestWriteAccess

    public boolean requestWriteAccess
    True, if the user must be asked for the permission to the bot to send them messages.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LoginUrlInfoRequestConfirmation

    public LoginUrlInfoRequestConfirmation()
    An authorization confirmation dialog needs to be shown to the user.

  - ### LoginUrlInfoRequestConfirmation

    public LoginUrlInfoRequestConfirmation(String url, String domain, long botUserId, boolean requestWriteAccess)
    An authorization confirmation dialog needs to be shown to the user.
    Parameters:
      `url` - An HTTP URL to be opened.
      `domain` - A domain of the URL.
      `botUserId` - User identifier of a bot linked with the website.
      `requestWriteAccess` - True, if the user must be asked for the permission to the bot to send them messages.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LoginUrlInfo`
    Returns:
      this.CONSTRUCTOR